{
    "doc": "This record represents basic information for this report",
    "fields": [
        {
            "doc": "Model version number",
            "name": "versionControl",
            "type": {
                "fields": [
                    {
                        "default": "6.0.1",
                        "doc": "This is the version for the entire set of data models as referred to the Git release tag",
                        "name": "gitVersionControl",
                        "type": "string"
                    }
                ],
                "name": "ReportVersionControl",
                "type": "record"
            }
        },
        {
            "doc": "Identifier for this interpretation request",
            "name": "interpretationRequestId",
            "type": "string"
        },
        {
            "doc": "Version for this interpretation request",
            "name": "interpretationRequestVersion",
            "type": "int"
        },
        {
            "doc": "Internal study identifier",
            "name": "internalStudyId",
            "type": "string"
        },
        {
            "doc": "Participant internal identifier",
            "name": "participantInternalId",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "This is the version of the assembly used to align the reads",
            "name": "genomeAssembly",
            "type": {
                "doc": "The reference genome assembly",
                "name": "Assembly",
                "symbols": [
                    "GRCh38",
                    "GRCh37"
                ],
                "type": "enum"
            }
        },
        {
            "doc": "The genome shall be assigned to the workspaces(projects or domains with a predefined set of users) to control user access",
            "name": "workspace",
            "type": {
                "items": "string",
                "type": "array"
            }
        },
        {
            "doc": "BAMs Files",
            "name": "bams",
            "type": [
                "null",
                {
                    "items": {
                        "doc": "This defines a file\n    This record is uniquely defined by the sample identfier and an URI\n    Currently sample identifier can be a single string or a list of strings if multiple samples are associated with the same file\n    *",
                        "fields": [
                            {
                                "doc": "Unique identifier(s) of the sample. For example in a multisample vcf this would have an array of all the sample identifiers",
                                "name": "sampleId",
                                "type": [
                                    "null",
                                    {
                                        "items": "string",
                                        "type": "array"
                                    }
                                ]
                            },
                            {
                                "doc": "URI path of the file",
                                "name": "uriFile",
                                "type": "string"
                            },
                            {
                                "doc": "The type of the file",
                                "name": "fileType",
                                "type": {
                                    "name": "FileType",
                                    "symbols": [
                                        "BAM",
                                        "gVCF",
                                        "VCF_small",
                                        "VCF_somatic_small",
                                        "VCF_CNV",
                                        "VCF_somatic_CNV",
                                        "VCF_SV",
                                        "VCF_somatic_SV",
                                        "VCF_SV_CNV",
                                        "SVG",
                                        "ANN",
                                        "BigWig",
                                        "MD5Sum",
                                        "ROH",
                                        "OTHER",
                                        "PARTITION",
                                        "VARIANT_FREQUENCIES",
                                        "COVERAGE"
                                    ],
                                    "type": "enum"
                                }
                            },
                            {
                                "doc": "The MD5 checksum",
                                "name": "md5Sum",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            }
                        ],
                        "name": "File",
                        "type": "record"
                    },
                    "type": "array"
                }
            ]
        },
        {
            "doc": "VCFs Files where SVs and CNVs are represented",
            "name": "vcfs",
            "type": [
                "null",
                {
                    "items": "File",
                    "type": "array"
                }
            ]
        },
        {
            "doc": "BigWig Files",
            "name": "bigWigs",
            "type": [
                "null",
                {
                    "items": "File",
                    "type": "array"
                }
            ]
        },
        {
            "doc": "Variant Annotation File",
            "name": "annotationFile",
            "type": [
                "null",
                "File"
            ]
        },
        {
            "doc": "Other files that may be vendor specific\n        map of key: type of file, value: record of type File",
            "name": "otherFiles",
            "type": [
                "null",
                {
                    "type": "map",
                    "values": "File"
                }
            ]
        },
        {
            "doc": "Cancer Particiapnt Data.",
            "name": "cancerParticipant",
            "type": [
                "null",
                {
                    "doc": "This defines a Cancer Participant",
                    "fields": [
                        {
                            "doc": "Year of birth for the cancer participant",
                            "name": "yearOfBirth",
                            "type": [
                                "null",
                                "int"
                            ]
                        },
                        {
                            "doc": "TODO",
                            "name": "morphology",
                            "type": [
                                "null",
                                {
                                    "items": "string",
                                    "type": "array"
                                }
                            ]
                        },
                        {
                            "doc": "Flag indicating if the participant is ready for analysis",
                            "name": "readyForAnalysis",
                            "type": "boolean"
                        },
                        {
                            "doc": "What has this participant consented to?\n        A participant that has been consented to the programme should also have sequence data associated with them; however\n        this needs to be programmatically checked",
                            "name": "consentStatus",
                            "type": [
                                "null",
                                {
                                    "doc": "Consent Status",
                                    "fields": [
                                        {
                                            "default": false,
                                            "doc": "Is this individual consented to the programme?\n        It could simply be a family member that is not consented but for whom affection status is known",
                                            "name": "programmeConsent",
                                            "type": "boolean"
                                        },
                                        {
                                            "default": false,
                                            "doc": "Consent for feedback of primary findings?",
                                            "name": "primaryFindingConsent",
                                            "type": "boolean"
                                        },
                                        {
                                            "default": false,
                                            "doc": "Consent for secondary finding lookup",
                                            "name": "secondaryFindingConsent",
                                            "type": "boolean"
                                        },
                                        {
                                            "default": false,
                                            "doc": "Consent for carrier status check?",
                                            "name": "carrierStatusConsent",
                                            "type": "boolean"
                                        }
                                    ],
                                    "name": "ConsentStatus",
                                    "type": "record"
                                }
                            ]
                        },
                        {
                            "doc": "Center",
                            "name": "center",
                            "type": [
                                "null",
                                "string"
                            ]
                        },
                        {
                            "doc": "Individual identifier",
                            "name": "individualId",
                            "type": "string"
                        },
                        {
                            "doc": "This should be an enumeration when it is well defined\n        blood, breast, prostate, colorectal, cll, aml, renal, ovarian, skin, lymphNode, bone, saliva //for individual - there could be more than I have listed here, in fact there definitely will.",
                            "name": "primaryDiagnosisDisease",
                            "type": [
                                "null",
                                {
                                    "items": "string",
                                    "type": "array"
                                }
                            ]
                        },
                        {
                            "doc": "This should be an enumeration when it is well defined\n        blood, breast, prostate, colorectal, cll, aml, renal, ovarian, skin, lymphNode, bone, saliva //for individual - there could be more than I have listed here, in fact there definitely will.",
                            "name": "primaryDiagnosisSubDisease",
                            "type": [
                                "null",
                                {
                                    "items": "string",
                                    "type": "array"
                                }
                            ]
                        },
                        {
                            "doc": "Sex",
                            "name": "sex",
                            "type": {
                                "doc": "Sex",
                                "name": "Sex",
                                "symbols": [
                                    "MALE",
                                    "FEMALE",
                                    "UNKNOWN"
                                ],
                                "type": "enum"
                            }
                        },
                        {
                            "doc": "We could add a map here to store additional information for example URIs to images, ECGs, etc",
                            "name": "additionalInformation",
                            "type": [
                                "null",
                                {
                                    "type": "map",
                                    "values": "string"
                                }
                            ]
                        },
                        {
                            "doc": "assigned ICD10 code",
                            "name": "assignedICD10",
                            "type": [
                                "null",
                                {
                                    "items": "string",
                                    "type": "array"
                                }
                            ]
                        },
                        {
                            "doc": "List of tumour samples",
                            "name": "tumourSamples",
                            "type": {
                                "items": {
                                    "doc": "A tumour sample",
                                    "fields": [
                                        {
                                            "doc": "Sample identifier (e.g, LP00012645_5GH))",
                                            "name": "sampleId",
                                            "type": "string"
                                        },
                                        {
                                            "doc": "Lab sample identifier",
                                            "name": "labSampleId",
                                            "type": "int"
                                        },
                                        {
                                            "doc": "LDP Code (Local Delivery Partner)",
                                            "name": "LDPCode",
                                            "type": "string"
                                        },
                                        {
                                            "doc": "Identifier of each one of the tumours for a participant",
                                            "name": "tumourId",
                                            "type": "string"
                                        },
                                        {
                                            "doc": "Genomics England programme phase",
                                            "name": "programmePhase",
                                            "type": [
                                                "null",
                                                {
                                                    "name": "ProgrammePhase",
                                                    "symbols": [
                                                        "CRUK",
                                                        "OXFORD",
                                                        "CLL",
                                                        "IIP",
                                                        "MAIN",
                                                        "EXPT"
                                                    ],
                                                    "type": "enum"
                                                }
                                            ]
                                        },
                                        {
                                            "doc": "Disease type",
                                            "name": "diseaseType",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "doc": "Disease subtype",
                                            "name": "diseaseSubType",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "doc": "The time when the sample was recieved. In the format YYYY-MM-DDTHH:MM:SS+0000",
                                            "name": "clinicalSampleDateTime",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "doc": "Tumor type",
                                            "name": "tumourType",
                                            "type": [
                                                "null",
                                                {
                                                    "name": "TumourType",
                                                    "symbols": [
                                                        "PRIMARY",
                                                        "METASTATIC_RECURRENCE",
                                                        "RECURRENCE_OF_PRIMARY_TUMOUR",
                                                        "METASTASES"
                                                    ],
                                                    "type": "enum"
                                                }
                                            ]
                                        },
                                        {
                                            "doc": "Tumour content",
                                            "name": "tumourContent",
                                            "type": [
                                                "null",
                                                {
                                                    "name": "TumourContent",
                                                    "symbols": [
                                                        "High",
                                                        "Medium",
                                                        "Low"
                                                    ],
                                                    "type": "enum"
                                                }
                                            ]
                                        },
                                        {
                                            "doc": "Source of the sample",
                                            "name": "source",
                                            "type": [
                                                "null",
                                                {
                                                    "doc": "The source of the sample",
                                                    "name": "SampleSource",
                                                    "symbols": [
                                                        "TUMOUR",
                                                        "BONE_MARROW_ASPIRATE_TUMOUR_SORTED_CELLS",
                                                        "BONE_MARROW_ASPIRATE_TUMOUR_CELLS",
                                                        "BLOOD",
                                                        "SALIVA",
                                                        "FIBROBLAST",
                                                        "TISSUE"
                                                    ],
                                                    "type": "enum"
                                                }
                                            ]
                                        },
                                        {
                                            "doc": "The preparation method",
                                            "name": "preparationMethod",
                                            "type": [
                                                "null",
                                                {
                                                    "name": "PreparationMethod",
                                                    "symbols": [
                                                        "EDTA",
                                                        "ORAGENE",
                                                        "FF",
                                                        "FFPE",
                                                        "CD128_SORTED_CELLS",
                                                        "ASPIRATE"
                                                    ],
                                                    "type": "enum"
                                                }
                                            ]
                                        },
                                        {
                                            "doc": "The tissue source",
                                            "name": "tissueSource",
                                            "type": [
                                                "null",
                                                {
                                                    "name": "TissueSource",
                                                    "symbols": [
                                                        "BMA_TUMOUR_SORTED_CELLS",
                                                        "CT_GUIDED_BIOPSY",
                                                        "ENDOSCOPIC_BIOPSY",
                                                        "ENDOSCOPIC_ULTRASOUND_GUIDED_BIOPSY",
                                                        "ENDOSCOPIC_ULTRASOUND_GUIDED_FNA",
                                                        "LAPAROSCOPIC_BIOPSY",
                                                        "LAPAROSCOPIC_EXCISION",
                                                        "MRI_GUIDED_BIOPSY",
                                                        "NON_GUIDED_BIOPSY",
                                                        "SURGICAL_RESECTION",
                                                        "STEREOTACTICALLY_GUIDED_BIOPSY",
                                                        "USS_GUIDED_BIOPSY",
                                                        "NON_STANDARD_BIOPSY",
                                                        "NOT_SPECIFIED"
                                                    ],
                                                    "type": "enum"
                                                }
                                            ]
                                        },
                                        {
                                            "doc": "Product of the sample",
                                            "name": "product",
                                            "type": [
                                                "null",
                                                {
                                                    "name": "Product",
                                                    "symbols": [
                                                        "DNA",
                                                        "RNA"
                                                    ],
                                                    "type": "enum"
                                                }
                                            ]
                                        },
                                        {
                                            "doc": "Tumour morphology as defined by ICD (at least one morphology definition by either ICD, Snomed CT or Snomed RT must be provided)",
                                            "name": "morphologyICD",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "doc": "Tumour morphology as defined by Snomed CT (at least one morphology definition by either ICD, Snomed CT or Snomed RT must be provided)",
                                            "name": "morphologySnomedCT",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "doc": "Tumour morphology as defined by Snomed RT (at least one morphology definition by either ICD, Snomed CT or Snomed RT must be provided)",
                                            "name": "morphologySnomedRT",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "doc": "Tumour topography as defined by ICD (at least one topography definition by either ICD, Snomed CT or Snomed RT must be provided)",
                                            "name": "topographyICD",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "doc": "Tumour topography as defined by Snomed CT (at least one topography definition by either ICD, Snomed CT or Snomed RT must be provided)",
                                            "name": "topographySnomedCT",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "doc": "Tumour topography as defined by Snomed RT (at least one topography definition by either ICD, Snomed CT or Snomed RT must be provided)",
                                            "name": "topographySnomedRT",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        }
                                    ],
                                    "name": "TumourSample",
                                    "type": "record"
                                },
                                "type": "array"
                            }
                        },
                        {
                            "doc": "List of germline samples",
                            "name": "germlineSamples",
                            "type": {
                                "items": {
                                    "doc": "A germline sample",
                                    "fields": [
                                        {
                                            "doc": "Sample identifier (e.g, LP00012645_5GH))",
                                            "name": "sampleId",
                                            "type": "string"
                                        },
                                        {
                                            "doc": "Lab sample identifier",
                                            "name": "labSampleId",
                                            "type": "int"
                                        },
                                        {
                                            "doc": "LDP Code (Local Delivery Partner)",
                                            "name": "LDPCode",
                                            "type": "string"
                                        },
                                        {
                                            "doc": "Source of the sample",
                                            "name": "source",
                                            "type": [
                                                "null",
                                                "SampleSource"
                                            ]
                                        },
                                        {
                                            "doc": "Product of the sample",
                                            "name": "product",
                                            "type": [
                                                "null",
                                                "Product"
                                            ]
                                        },
                                        {
                                            "doc": "Preparation method",
                                            "name": "preparationMethod",
                                            "type": [
                                                "null",
                                                "PreparationMethod"
                                            ]
                                        },
                                        {
                                            "doc": "Genomics England programme phase",
                                            "name": "programmePhase",
                                            "type": [
                                                "null",
                                                "ProgrammePhase"
                                            ]
                                        },
                                        {
                                            "doc": "The time when the sample was received. In the format YYYY-MM-DDTHH:MM:SS+0000",
                                            "name": "clinicalSampleDateTime",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        }
                                    ],
                                    "name": "GermlineSample",
                                    "type": "record"
                                },
                                "type": "array"
                            }
                        },
                        {
                            "doc": "List of matched samples (i.e.: pairs tumour-germline)",
                            "name": "matchedSamples",
                            "type": {
                                "items": {
                                    "doc": "This defines a pair of germline and tumor, this pair should/must be analyzed together",
                                    "fields": [
                                        {
                                            "doc": "Sample identifier (e.g, LP00012645_5GH)) for the germline",
                                            "name": "germlineSampleId",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        },
                                        {
                                            "doc": "Sample identifier (e.g, LP00012643_7JS)) for the tumor",
                                            "name": "tumourSampleId",
                                            "type": [
                                                "null",
                                                "string"
                                            ]
                                        }
                                    ],
                                    "name": "MatchedSamples",
                                    "type": "record"
                                },
                                "type": "array"
                            }
                        },
                        {
                            "doc": "Model version number",
                            "name": "versionControl",
                            "type": [
                                "null",
                                {
                                    "fields": [
                                        {
                                            "default": "1.1.2",
                                            "doc": "This is the version for the entire set of data models as referred to the Git release tag",
                                            "name": "GitVersionControl",
                                            "type": "string"
                                        }
                                    ],
                                    "name": "VersionControl",
                                    "type": "record"
                                }
                            ]
                        }
                    ],
                    "name": "CancerParticipant",
                    "namespace": "org.gel.models.participant.avro",
                    "type": "record"
                }
            ]
        },
        {
            "doc": "It is paternal or maternal with reference to the participant.",
            "name": "otherFamilyHistory",
            "type": [
                "null",
                {
                    "doc": "Family history for secondary findings.\n    Arrays of strings describing discrete family history phenotypes.\n    Usually: `EndocrineTumours`, `colorectal`, `BreastOvarian` and `HDOrStroke` but can be others",
                    "fields": [
                        {
                            "doc": "Relevant Maternal family history",
                            "name": "maternalFamilyHistory",
                            "type": [
                                "null",
                                {
                                    "items": "string",
                                    "type": "array"
                                }
                            ]
                        },
                        {
                            "doc": "Relevant Maternal family history",
                            "name": "paternalFamilyHistory",
                            "type": [
                                "null",
                                {
                                    "items": "string",
                                    "type": "array"
                                }
                            ]
                        }
                    ],
                    "name": "OtherFamilyHistory",
                    "type": "record"
                }
            ]
        },
        {
            "doc": "This map of key: panel_name, value: (map of key: gene, value: (map of metrics of key: metric name, value: float))\n        That is: a map of tables of genes and metrics",
            "name": "genePanelsCoverage",
            "type": [
                "null",
                {
                    "type": "map",
                    "values": {
                        "type": "map",
                        "values": {
                            "type": "map",
                            "values": "float"
                        }
                    }
                }
            ]
        },
        {
            "doc": "Flags about this case relevant for interpretation",
            "name": "interpretationFlags",
            "type": [
                "null",
                {
                    "items": {
                        "doc": "A given interpretation flag together with an optional description",
                        "fields": [
                            {
                                "doc": "The interpretation flag",
                                "name": "interpretationFlag",
                                "type": {
                                    "doc": "Some flags relevant to the interpretation of a case",
                                    "name": "InterpretationFlags",
                                    "symbols": [
                                        "mixed_chemistries",
                                        "mixedLab_preparation",
                                        "low_tumour_purity",
                                        "uniparental_isodisomy",
                                        "uniparental_heterodisomy",
                                        "unusual_karyotype",
                                        "high_cnv_count",
                                        "high_estimate_human_contamination_fraction",
                                        "mixed_recruiting_gmc",
                                        "suspected_mosaicism",
                                        "low_quality_sample",
                                        "ffpe_tumour_sample",
                                        "ff_nano_tumour_sample",
                                        "missing_values_for_proband_in_reported_variant",
                                        "reissued",
                                        "supplementary_report_errors",
                                        "internal_use_only",
                                        "high_priority",
                                        "suspected_increased_number_of_false_positive_heterozygous_loss_calls",
                                        "suspected_poor_quality_cnv_calls",
                                        "cnv_calls_assumed_xx_karyo",
                                        "cnv_calls_assumed_xy_karyo",
                                        "other"
                                    ],
                                    "type": "enum"
                                }
                            },
                            {
                                "doc": "The description for the flag",
                                "name": "additionalDescription",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            }
                        ],
                        "name": "InterpretationFlag",
                        "type": "record"
                    },
                    "type": "array"
                }
            ]
        },
        {
            "doc": "Additional information",
            "name": "additionalInfo",
            "type": [
                "null",
                {
                    "type": "map",
                    "values": "string"
                }
            ]
        }
    ],
    "name": "CancerInterpretationRequest",
    "namespace": "org.gel.models.report.avro",
    "type": "record"
}